Pakete installieren in Solaris 10 Sparc

Dieses Thema im Forum "Unix Derivate & sonst. Unix Fragen" wurde erstellt von Franky86, 18.01.2006.

  1. #1 Franky86, 18.01.2006
    Franky86

    Franky86 Masternoob

    Dabei seit:
    26.10.2005
    Beiträge:
    39
    Zustimmungen:
    0
    Hallo, ich wollte doch einen Apache installieren, doch ich komm nicht weiter.
    Alle Pakete die ich herunter lade von: http://www.sunfreeware.com/indexsparc10.html
    sind .gz Dateien, aber innerhalb ist nur EINE Datei zb. expat-1.95.5-sol10-sparc-local
    was ist das für eine Datei? Wie installier ich das Paket? Die Datei enthält teils Installationsanleitungen teils Script. Die Datei geht aber nicht auszufürhen, zeigt nur Fehler. Und die Installationsanleitung sagt nur die configure make make install ausführen, aber die Datein configure ist nicht vorhanden. Wie soll man sonst Pakete installieren?

    Bin verzweifelt
     
  2. Anzeige

    Schau dir mal diese Kategorie an. Dort findest du bestimmt etwas.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  3. theton

    theton Bitmuncher

    Dabei seit:
    27.05.2004
    Beiträge:
    4.820
    Zustimmungen:
    0
    Ort:
    Berlin, Germany
    Ich wuerde mal sagen, dass du da das falsche oder ein beschaedigtes Paket erwischt hast. expat != apache :D. Was spricht eigentlich dagegen Apache aus'm Source zu installieren? Das duerfte wesentlich weniger Probs machen.
     
  4. hmhweb

    hmhweb Mitglied

    Dabei seit:
    29.11.2004
    Beiträge:
    46
    Zustimmungen:
    0
    Hallo theton

    Solaris Pakete werden mit pkgadd installiert. Vorhermal mit

    pkginfo ./expat-1.95.5-sol10-sparc-local

    schauen, ob das ein echtes Solaris Paket ist.
    man pkginfo hilft weiter.
    Kann aber auch sein, daß das tar files sind, einfach mal

    file expat-1.95.5-sol10-sparc-local

    kontrollieren.

    hmh
     
  5. #4 Franky86, 18.01.2006
    Franky86

    Franky86 Masternoob

    Dabei seit:
    26.10.2005
    Beiträge:
    39
    Zustimmungen:
    0
    Ich will den Apache installieren, aber nicht den aus Source, und jedenfalls brauch ich dafür die Pakete:
    Auf der Seite http://www.sunfreeware.com/programlistsparc10.html steht
    "The expat, libiconv, gdbm, db-4.2.52.NC, openssl-0.9.8a, and either the libgcc or gcc must be installed."
    So und alle Pakete sehen genauso aus, sind also nicht beschädigt, auch wenn ich die woanders runterlade. Und die von Source gehen da auch nicht, weil hier jemand die Version versaut hat.
    Wenn ich eingebe:
    # pkginfo expat-1.95.5-sol10-sparc-local
    ERROR: information for "expat-1.95.5-sol10-sparc-local" was not found
    # file expat-1.95.5-sol10-sparc-local
    expat-1.95.5-sol10-sparc-local: Package-Datenstream
    was bedeutet Datenstream?
     
  6. theton

    theton Bitmuncher

    Dabei seit:
    27.05.2004
    Beiträge:
    4.820
    Zustimmungen:
    0
    Ort:
    Berlin, Germany
    @hmhweb: Das weiss ich. Was ich allerdings nicht wusste, welche Abhaengigkeiten Apache im einzelnen hat und ich sah halt nur ein expat-Paket in dem Posting von Franky86. Und expat != apache :D
     
  7. hmhweb

    hmhweb Mitglied

    Dabei seit:
    29.11.2004
    Beiträge:
    46
    Zustimmungen:
    0
    Franky86,

    sorry, ich bin ein wenig raus dem Solaris. Was liefert

    pkginfo -l -d ./expat-1.95.5-sol10-sparc-local ?

    @theton: Entschuldige, ich hab vorhin die Namen durcheinander gebracht und Franky86 gemeint. Sorry.
    expat kannte ich auch nicht :)) , es war für mich halt ein Paket.

    expat-1.95.5-sol10-sparc-local.gz
    Expat is a fast, non-validating, stream-oriented XML parsing library - installs in /usr/local.
     
  8. #7 Franky86, 18.01.2006
    Franky86

    Franky86 Masternoob

    Dabei seit:
    26.10.2005
    Beiträge:
    39
    Zustimmungen:
    0
    # pkginfo -l -d ./expat-1.95.5-sol10-sparc-local
    PKGINST: SMCexpat
    NAME: expat
    CATEGORY: application
    ARCH: sparc
    VERSION: 1.95.5
    BASEDIR: /usr/local
    VENDOR: James Clark
    PSTAMP: Steve Christensen
    EMAIL: steve@smc.vnet.net
    STATUS: spooled
    FILES: 30 spooled pathnames
    9 directories
    3 executables
    2 package information files
    1815 blocks used (approx)

    sieht doch ganz gut aus oder? muss ich das jetzt in pkgadd Ordner packen?
     
  9. Anzeige

    Vielleicht findest du HIER Antworten.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  10. hmhweb

    hmhweb Mitglied

    Dabei seit:
    29.11.2004
    Beiträge:
    46
    Zustimmungen:
    0
    Mit

    pkgadd -d ./expat-1.95.5-sol10-sparc-local

    installieren. Vielleicht vorher mal nach
    man pkgadd aufrufen und /usr/local auf Platz oder alter expat-Installation prüfen.
    Sollte das Paket inkonsistent sein, meckert pkgadd.
    Ich weiß aber nicht, inwieweit es da im Solaris 10 neue Regeln gibt,
    habe nur bis Solaris 9 gearbeitet. pkgadd sorgt dann auch für die Datenbankeinträge usw. Sollte das nur noch aus dem pkgadd-Ordner???
    installieren, dann muß es wohl dahin. Kenn ich nicht, glaub ich auch nicht.

    hmh
     
  11. #9 Franky86, 18.01.2006
    Franky86

    Franky86 Masternoob

    Dabei seit:
    26.10.2005
    Beiträge:
    39
    Zustimmungen:
    0
    Juhu

    ES funkt, darauf soll mal einer kommen. :D
    Ich sitz die ganze Woche schon dran.

    Vielen Dank hmhweb und liebe Unixgemeinde...
     
Thema: Pakete installieren in Solaris 10 Sparc
Besucher kamen mit folgenden Suchen
  1. solaris 10 paket installieren

Die Seite wird geladen...

Pakete installieren in Solaris 10 Sparc - Ähnliche Themen

  1. Mit Sabayon Pakete installieren

    Mit Sabayon Pakete installieren: Hallo Leute Ich habe in einem Artikel sehr viel interessantes über Sabayon gelesen und wollte dieses mal testen. So habe ich doch gleich die...
  2. zuletzt per apt-get installierte Pakete deinstallieren

    zuletzt per apt-get installierte Pakete deinstallieren: Hallo, ich habe mir gerade über diese Anleitung (http://www.computerhilfen.de/hilfen-6-293714-0.html) auf Ubuntu 9.04 KDE 4.3 installiert um es...
  3. Kann keine Pakete mehr installieren

    Kann keine Pakete mehr installieren: Hallo! Seit kurzem sträubt sich mein SuSe 10.2 manche Pakate zu installieren. Es ladet die Pakete zwar herunter doch dann meldet YaST, dass es...
  4. 64bit Gentoo -Pakete für x86 installieren

    64bit Gentoo -Pakete für x86 installieren: Hi! Wenn ich ein Paket für amd64 maskiert ist, für x86 aber nicht, wie kann ich denn dan angeben, dass das Paket für die andere Architektur...
  5. OS 10.2 rpm pakete lassen sich nicht mehr installieren

    OS 10.2 rpm pakete lassen sich nicht mehr installieren: Hi , ich habe folgenes Problem : Ich kann seit heute keine RPM pakete mehr installieren. Wenn ich das Paket mit doppeklick öffne und das...